<?php get_header(); ?>

			<div class="heading suchergebnis"> 

				<div class="title">Suchergebnis zum Begriff <span><?php the_search_query(); ?></span></div>

			</div><!--.heading-->

			<div id="links">
				
				<?php if (have_posts()) : // Beginn Loop, wenn Suchergebnis vorhanden ?>
				<?php while (have_posts()) : the_post(); ?>
				
					<?php get_template_part('content'); // Template content.php aufrufen ?>
		
				<?php endwhile; // Ende Loop, wenn Suchergebnis vorhanden ?>
				<?php else : // sonst zeige Hinweis und Suchformular ?>
				
				<div class="post page">

					<h1>Deine Suche brachte leider keinen Treffer</h1>

					<div class="body">

						<p>Versuche es doch mit einem anderen Suchbegriff</p>
							<?php get_search_form(); ?>
						<p>oder durchsuche folgende Übersichten</p>

						<div class="spalte">
							<h3>Kategorien</h3>
							<ul>
							<?php wp_list_categories('show_count=1&title_li='); // zeige Liste mit Kategorien ?>
							</ul>
						</div><!--spalte-->

						<div class="spalte">
							<h3>Schlagworte</h3>
							<ul>
							<?php
								$tags = get_tags( array('orderby' => 'count', 'order' => 'DESC') ); // zeige Liste mit Tags 
								foreach ( (array) $tags as $tag ) {
								echo '<li><a href="' . get_tag_link ($tag->term_id) . '" rel="tag">' . $tag->name . ' </a> (' . $tag->count . ')</li>';
								}
							?>
							</ul>
						</div><!--spalte-->

					</div><!--body-->

				</div><!--post-->
				
				<?php endif; // Ende Loop, wenn kein Suchergebnis ?>

				<div class="seitennavigation">

					<div class="links"><?php previous_posts_link() ?></div>
					<div class="rechts"><?php next_posts_link() ?></div>

				</div><!--seitennavigation-->

<?php get_footer(); ?>