<?php $options = get_option( 'og_theme_options' ); // hol die Theme-Optionen ?> 

<?php get_header(); ?>
				
			<div id="links">

				<?php if (have_posts()) : // Beginn Loop ?>
				<?php while (have_posts()) : the_post(); ?>

				<?php if ($options['navi_top'] == 1 ) { // zeige eine Seitennavigation oben, wenn Option gewählt ?>

					<div class="seitennavigation top">
						<div class="links"><?php previous_post_link('%link', '&larr; vorheriger Artikel');?></div>
						<div class="rechts"><?php next_post_link('%link', 'nächster Artikel &rarr;') ?></div>
					</div><!--seitennavigation-->

				<?php } ?>

				<div <?php post_class('post_wide') ?> id="post-<?php the_ID(); ?>">
				
					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanenter Link zum Artikel <?php the_title(); ?>"><?php the_title(); ?></a></h2>

						<div class="kommentare">
							<?php comments_popup_link('0', '1', '%', '', '--'); // gib die Anzahl der Kommentare aus ?>
						</div>

						<div class="thumb">
							<?php 
								if(has_post_thumbnail()) { 
								the_post_thumbnail('post-thumbnail', array('title' => ''.get_the_title().'' )); // zeige den Artikel-Thumb, wenn vorhanden
							} else {
								echo '<img src="'.get_bloginfo("template_url").'/images/thumb.png" />'; // sonst zeig einen Standard-Thumb
								}
							?>

						</div><!--thumb-->

					<div class="body">

						<?php if ($options['artikelinfo'] == 1 ) { // zeige Post-Informationen, wenn Option gewählt ?>

							<div class="meta">

								<span class="datum">
									<?php the_time('j. F Y') ?>
								</span>

								<?php if ($options['autor'] == 1 ) { // zeige den Post-Autor in den Post-Infos, wenn Option gewählt ?>

									<span class="autor">
										<a href="<?php the_author_meta('url'); ?>"><?php the_author(); ?></a>
									</span>

								<?php } ?>
	
								<span class="kategorie">
									<?php the_category(' '); ?>
								</span>

								<span class="tags">
									<?php the_tags('',' ',''); ?>
								</span>

								<span>
									<?php edit_post_link('Artikel Bearbeiten &rarr;', '', ''); ?>
								</span>

							</div><!--meta-->

						<?php } ?>

							<?php the_content(); ?>

							<?php if ($options['artikelempfehlung'] == 1) { // gib eine Artikelempfehlung aus, wenn Option gewählt ?>

							<div class="artikelempfehlung">

								<h5>

								<?php if ($options['artikelempfehlung_title']) { // gib eine eigene Überschrift für die Artikelempfehlung aus, wenn vorhanden ?> 
									<?php echo $options['artikelempfehlung_title']; ?>
								<?php } else { // sonst verwende die Standard-Überschrift ?>
									Ähnliche Artikel
								<?php } ?>

								</h5>

								<ul>

								<?php

								global $post;
								$originalPost = clone $post;  // aktuellen Artikel speichern

								$tags = wp_get_post_tags($post->ID); // Abfrage für Artikelempfehlung
								if ($tags) {
								$first_tag = $tags[0]->term_id;
								$args=array(
								'tag__in' => array($first_tag),
								'post__not_in' => array($post->ID),
								'showposts'=>4,
								'caller_get_posts'=>1
								);

								$artikelempfehlung = new WP_Query($args);
								if( $artikelempfehlung->have_posts() ) {
								while ($artikelempfehlung->have_posts()) : $artikelempfehlung->the_post(); // Beginn Loop für Artikelempfehlung ?>

								<li><a href="<?php the_permalink(); ?>" title="Artikel aufrufen">

									<div class="thumbnail">

									<?php 
									if(has_post_thumbnail()) {
										the_post_thumbnail('medium-thumbnail', array('title' => ''.get_the_title().'' )); // gib den Post-Thumb aus, wenn vorhanden
									} else {
										echo '<img src="'.get_bloginfo("template_url").'/images/thumb_100.png" />'; // sonst gib einen Standard-Thumb aus	
									}
									?>

									</div><!--thumbnail-->

									<div class="artikeltitel"><span><?php the_time('j. F Y') ?></span><br><?php the_title(); ?></div>
									<div class="kommentaranzahl"><?php comments_number('0','1','%'); ?></div>

								</a></li>

								<?php endwhile; // Ende Loop
								} else {
								echo "Keine ähnlichen Artikel gefunden"; // gib Hinweis aus, wenn keine ähnlichen Artikel gefunden
								} 

								$GLOBALS['post'] = $originalPost;
								setup_postdata($originalPost); // hol den ursprünglichen Artikel zurück
								}
								?>

								</ul>

							</div><!--artikelempfehlung-->

							<?php } ?> 

					</div><!--body-->

				</div><!--post-->

				<?php comments_template('', true); // Aufruf des Kommentar-Templates ?> 

				<?php if ($options['navi_unten'] == 1 ) { // zeige eine Seitennavigation unten, wenn Option gewählt ?>

					<div class="seitennavigation">
						<div class="links"><?php previous_post_link('%link', '&larr; vorheriger Artikel');?></div>
						<div class="rechts"><?php next_post_link('%link', 'nächster Artikel &rarr;') ?></div>
					</div><!--seitennavigation-->

				<?php } ?> 
		
				<?php endwhile; ?>
				<?php endif; // Ende Loop ?>
				
<?php get_footer(); ?>