<?php $options = get_option( 'og_theme_options' ); // hol die Theme-Optionen ?> 

			<?php if ($options['artikel_nebeneinander'] == 1) { // gib die Artikel in 2 Spalten aus, wenn Option gewählt ?>
				<div <?php post_class('post_2spalten') ?> id="post-<?php the_ID(); ?>">
			<?php } elseif ($options['artikel_nebeneinander'] == 2) { // oder in 3 Spalten, wenn Option gewählt ?>
				<div <?php post_class('post_3spalten') ?> id="post-<?php the_ID(); ?>">
			<?php } else { // sonst in einer Spalte ausgeben ?>
				<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<?php } ?>

						<?php if (is_sticky()) { // zeige einen Info-Kasten, wenn Sticky-Post ?> 

							<?php if ($options['sticky_text']) { // zeige eigenen Tooltip-Text, wenn vorhanden ?> 
								<a class="sticky_banner" href="#" title="<?php echo $options['sticky_text']; ?>"></a>
							<?php } else { // sonst zeig den Standard Tooltip-Text ?>
								<a class="sticky_banner" href="#" title="Dies ist ein oben gehaltener Artikel"></a>
							<?php } ?>

						<?php } ?>

					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanenter Link zum Artikel <?php the_title(); ?>"><?php the_title(); ?></a></h2>

						<div class="kommentare">
							<?php comments_popup_link('0', '1', '%', '', '--'); // gib die Anzahl der Kommentare aus ?>
						</div>

						<div class="thumb">
							<?php 
								if(has_post_thumbnail()) { 
								the_post_thumbnail('post-thumbnail', array('title' => ''.get_the_title().'' )); // zeige den Artikel-Thumb, wenn vorhanden
							} else {
								echo '<img src="'.get_bloginfo("template_url").'/images/thumb.png" />'; // sonst zeig einen Standard-Thumb
								}
							?>

						</div><!--thumb-->

					<div class="body">

						<?php if ($options['artikelinfo'] == 1 ) { // zeige Post-Informationen, wenn Option gewählt ?>

							<div class="meta">

								<span class="datum">
									<?php the_time('j. F Y') ?>
								</span>

								<?php if ($options['autor'] == 1 ) { // zeige den Post-Autor in den Post-Infos, wenn Option gewählt ?>

									<span class="autor">
										<a href="<?php the_author_meta('url'); ?>"><?php the_author(); ?></a>
									</span>

								<?php } ?>

								<span class="kategorie">
									<?php the_category(' '); ?>
								</span>

								<span class="tags">
									<?php the_tags('',' ',''); ?>
								</span>

								<span>
									<?php edit_post_link('Artikel Bearbeiten &rarr;', '', ''); ?>
								</span>
	
							</div><!--meta-->

						<?php } ?>

						<?php if ($options['artikelanzeige'] == 0) { // gib die Artikel bis zum Weiterlesen-Tag aus, wenn Option gewählt ?>
							<?php the_content('Weiterlesen &rarr;'); ?>
						<?php } elseif ($options['artikelanzeige'] == 1) { // oder als Kurzfassung ?>
							<?php the_excerpt(); ?>
						<?php } elseif ($options['artikelanzeige'] == 2) { // oder vollständig ?>
							<?php 
								global $more;
								$more = 1;
								the_content();
							?>
						<?php } ?>

					</div><!--body-->

				</div><!--post-->