<?php $options = get_option( 'og_theme_options' ); // hol die Theme-Optionen ?> 

	<?php if ($options['top_artikel'] == 1) { // zeige Top-Artikel, wenn Option gewählt ?>

			<div class="top_artikel">

				<h4>

					<?php if ($options['top_artikel_title']) { // gib eine eigene Überschrift für die Top-Artikel aus, wenn vorhanden ?> 

						<?php echo $options['top_artikel_title']; ?>

					<?php } else { // sonst gib die Standard-Überschrift aus ?>

						<?php if ($options['top_artikel_art'] == 0) { // für meistkommentierte Artikel ?>

							Meistkommentierte Artikel

						<?php } elseif ($options['top_artikel_art'] == 1) { // oder zufällig ausgewählte Artikel ?>

							Zufällig ausgewählte Artikel

						<?php } ?>

					<?php } ?>

				</h4>

				<ul>

				<?php if ($options['top_artikel_art'] == 0) { // Abfrage für meistkommentierte Artikel ?>

					<?php $top_artikel = new WP_Query( array( 'orderby' => 'comment_count', 'posts_per_page' => '4', 'post__not_in' =>get_option('sticky_posts') ) ); ?>

				<?php } ?> 

				<?php if ($options['top_artikel_art'] == 1) { // Abfrage für zufällige Artikel ?>

					<?php $top_artikel = new WP_Query( array( 'orderby' => 'rand', 'posts_per_page' => '4', 'post__not_in' =>get_option('sticky_posts') ) ); // die Abfrage ?>

				<?php } ?> 

					<?php while ($top_artikel->have_posts()) : $top_artikel->the_post(); // Beginn Loop ?>

					<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
						
						<div class="thumb"> 
							<?php 
							if(has_post_thumbnail()) {
							the_post_thumbnail('medium-thumbnail', array('title' => '' )); // gib den Post-Thumb aus, wenn vorhanden
							} else {
							echo '<img src="'.get_bloginfo("template_url").'/images/thumb_100.png" />'; // sonst zeig einen Standard-Thumb
							}
							?>
						</div><!--thumb-->
						<div class="title"><span><?php the_time('j. F Y') ?></span><br><?php the_title(); ?></div>
						<div class="kommentaranzahl"><?php comments_number('0','1','%'); ?></div>

						<?php if ($options['top_artikel_excerpt'] == 1 ) { // Kurzfassung des Artikels als Tooltip ausgeben, wenn Option gewählt ?>

							<div class="inhalt"><?php the_excerpt(); ?></div>

						<?php } ?>
						
					</a></li>

					<?php endwhile; // Ende Loop ?>

					<?php wp_reset_query(); // Abfrage zurücksetzen ?>

				</ul>

			</div><!--top_artikel-->

	<?php } ?> 